LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 02-14-2007, 12:19 AM   #1
combilli
Member
 
Registered: Oct 2006
Posts: 75

Rep: Reputation: 15
Cannot complie a driver


I've download the broadcom lan card driver.

there is rpm and src.

When I try to use make in the folder of src, there is an error.

Here are what I got


[root@mail tg3-3.71b]# ls
ChangeLog LICENSE Makefile README.TXT tg3.4 tg3.c tg3.h

[root@mail tg3-3.71b]# make

make -C SUBDIRS=/root/linux-3.71b/Server/Linux/Driver/tg3-3.71b modules
make: *** SUBDIRS=/root/linux-3.71b/Server/Linux/Driver/tg3-3.71b: No such file or directory. Stop.
make: *** [default] Error 2



In the readme, it told me to use rpmbuild to build a spec file, I got same as as this...

Coudl someone tell me what happen?
 
Old 02-14-2007, 07:12 AM   #2
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Any modern rpm based supported version of Linux already has the driver available for example;

A Fedora Core 6 kernel;
$ rpm -qlip kernel-2.6.19-1.2895.fc6.i686.rpm | grep tg3
warning: kernel-2.6.19-1.2895.fc6.i686.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
/lib/modules/2.6.19-1.2895.fc6/kernel/drivers/net/tg3.ko

A RHEL4u4 kernel;
$ rpm -qlip kernel-2.6.9-42.0.8.EL.x86_64.rpm | grep tg3
warning: kernel-2.6.9-42.0.8.EL.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
/lib/modules/2.6.9-42.0.8.EL/kernel/drivers/net/tg3.ko


Now which rpm based version of Linux are you using??? Do you have the kernel source and/or kernel-devel packages installed. Did you even see if you need to build the driver?? Where did you get this driver and what is the filename??? Do you have rpm-build installed???
 
Old 02-14-2007, 08:26 AM   #3
Laoch
LQ Newbie
 
Registered: Aug 2005
Location: Luimneach, Eire
Distribution: Ubuntu (after SuSE sold out)
Posts: 16

Rep: Reputation: 0
I am having the exact same problem. I am using Ubuntu 6.10.
 
Old 02-14-2007, 10:31 AM   #4
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
OK, both of you the kernel module should be present, please check;

ls -al /lib/modules/`uname -r`/kernel/drivers/net/tg3*

ls -al /lib/modules/`uname -r`/kernel/drivers/net/bnx2*

That is the backtick character in the commands above, it is located by the 'Tab' key on most keyboards. If the kernel module is present then see;

http://www.cyberciti.biz/faq/linux-b...-installation/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
cannot complie freetype NAC Linux - Newbie 2 11-05-2006 03:48 PM
module won't complie knockout_artist Programming 1 04-21-2006 08:05 PM
QT3,use from CD or complie myself? ngan_yine Mandriva 0 01-14-2004 08:13 AM
complie under qt macro-linux Programming 10 11-06-2003 05:18 AM
kernel complie error DMRansom Linux - Newbie 3 06-09-2003 08:32 AM


All times are GMT -5. The time now is 02:11 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration